Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.feature
Class AbstractFeatureCollection

    java.lang.Object
      org.deegree.model.feature.AbstractFeature
          org.deegree.model.feature.AbstractFeatureCollection

All Implemented Interfaces:
  Feature, FeatureCollection

Direct Known Subclasses:
  DefaultFeatureCollection, FeatureTupleCollection

    public abstract class AbstractFeatureCollection

extends AbstractFeature
implements FeatureCollection

Version:
  $Revision: 19466 $, $Date: 2009-09-01 17:38:59 +0200 (Di, 01. Sep 2009) $
Author:
  Andreas Poth , last edited by: $Author: apoth $

Field Summary

Fields inherited from class org.deegree.model.feature.AbstractFeature
`description, envelope, envelopeCalculated, featureType, owner`

Constructor Summary
`AbstractFeatureCollection(String id)`
`AbstractFeatureCollection(String id, QualifiedName name)`

Method Summary
`void` | `addAll(Feature[] feature)` Deprecated.
`void` | `addAll(FeatureCollection fc)` Deprecated.
`void` | `addAllUncontained(Feature[] feature)` adds a list of features to the collection
`void` | `addAllUncontained(FeatureCollection fc)` Adds the features to the collection, if they're not already contained.
`Geometry` | `getDefaultGeometryPropertyValue()` returns a Point with position 0/0 and no CRS
`FeatureProperty` | `getDefaultProperty(QualifiedName name)` returns the default property of a feature collection with the passed name
`Geometry[]` | `getGeometryPropertyValues()` returns the value of a feature collection geometry properties
`FeatureProperty[]` | `getProperties()` returns all properties of a feature collection
`FeatureProperty[]` | `getProperties(int index)` returns the properties of a feature collection at the passed index position
`FeatureProperty[]` | `getProperties(QualifiedName name)` returns the named properties of a feature collection
`Feature` | `remove(String id)` removes a feature identified by its ID from the feature collection.
`void` | `setProperty(FeatureProperty property)` sets a property of a feature collection.

Methods inherited from class org.deegree.model.feature.AbstractFeature
`clone, getAttribute, getAttributes, getBoundedBy, getDescription, getFeatureType, getId, getName, getOwner, resetBounds, setAttribute, setEnvelopesUpdated, setFeatureType, setId`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.deegree.model.feature.FeatureCollection
`add, clear, getFeature, getFeature, iterator, remove, remove, size, toArray`

Methods inherited from interface org.deegree.model.feature.Feature
`addProperty, clone, cloneDeep, getAttribute, getAttributes, getBoundedBy, getDefaultProperty, getDescription, getFeatureType, getId, getName, getOwner, removeProperty, replaceProperty, setAttribute, setEnvelopesUpdated, setFeatureType, setId, setProperty`

Constructor Detail

### AbstractFeatureCollection

    public AbstractFeatureCollection(String id)

Parameters:
  `id` -

### AbstractFeatureCollection

    public AbstractFeatureCollection(String id,
                                     QualifiedName name)

Parameters:
  `id` -
  `name` - of the feature collection if `null` it will be set to wfs:FeatureCollection

Method Detail

### getDefaultGeometryPropertyValue

    public Geometry getDefaultGeometryPropertyValue()

  returns a Point with position 0/0 and no CRS

  Specified by:
    `getDefaultGeometryPropertyValue` in interface `Feature`
  Returns:
    a geometry

### getGeometryPropertyValues

    public Geometry[] getGeometryPropertyValues()

  returns the value of a feature collection geometry properties

  Specified by:
    `getGeometryPropertyValues` in interface `Feature`
  Returns:
    array of all geometry property values

### getProperties

    public FeatureProperty[] getProperties()

  returns all properties of a feature collection

  Specified by:
    `getProperties` in interface `Feature`
  Returns:
    all properties of a feature

### getProperties

    public FeatureProperty[] getProperties(int index)

  returns the properties of a feature collection at the passed index position

  Specified by:
    `getProperties` in interface `Feature`
  Parameters:
    `index` -
  Returns:
    properties at the passed index position

### getDefaultProperty

    public FeatureProperty getDefaultProperty(QualifiedName name)

  returns the default property of a feature collection with the passed name

  Specified by:
    `getDefaultProperty` in interface `Feature`
  Parameters:
    `name` -
  Returns:
    named default property

### getProperties

    public FeatureProperty[] getProperties(QualifiedName name)

  returns the named properties of a feature collection

  Specified by:
    `getProperties` in interface `Feature`
  Parameters:
    `name` -
  Returns:
    named properties

### setProperty

    public void setProperty(FeatureProperty property)

  sets a property of a feature collection.
  !!! this method is not implemented yet !!!

  Parameters:
    `property` -

### addAll

    @Deprecated
    public void addAll(Feature[] feature)

  Deprecated.

  Description copied from interface: `FeatureCollection`
  adds a list of features to the collection

  Specified by:
    `addAll` in interface `FeatureCollection`
  Parameters:
    `feature` - to add.
  See Also:
    `FeatureCollection.addAll(org.deegree.model.feature.Feature[])`

### addAllUncontained

    public void addAllUncontained(Feature[] feature)

  Description copied from interface: `FeatureCollection`
  adds a list of features to the collection

  Specified by:
    `addAllUncontained` in interface `FeatureCollection`
  Parameters:
    `feature` - to add.

### addAll

    @Deprecated
    public void addAll(FeatureCollection fc)

  Deprecated.

  Description copied from interface: `FeatureCollection`
  adds a list of features to the collection

  Specified by:
    `addAll` in interface `FeatureCollection`
  Parameters:
    `fc` - to add.
  See Also:
    `FeatureCollection.addAll(org.deegree.model.feature.FeatureCollection)`

### addAllUncontained

    public void addAllUncontained(FeatureCollection fc)

  Description copied from interface: `FeatureCollection`
  Adds the features to the collection, if they're not already contained.

  Specified by:
    `addAllUncontained` in interface `FeatureCollection`

### remove

    public Feature remove(String id)

  removes a feature identified by its ID from the feature collection. If no feature with the passed ID is available nothing happens and `null` will be returned

  Specified by:
    `remove` in interface `FeatureCollection`
  Parameters:
    `id` -
  Returns:
    the removed feature

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org